Checking for updates failed


#1

I think there is a problem concerning update checking.


SNAP updates not executing
#2

OK. Should now work again.
Thanks for the report.


#3

My SNAP 3.0 tells me that my application is up to date, and that there are no updates available. Does this not apply to the SNAP application itself, and only applies to the plugins? Because I poked around the Forum and noticed that SNAP 5.0 is available, which I’m downloading now.

Thanks,

Tom


#4

Actually you should see a message popping up when SNAP is checking for updates.
Saying that there is SNAP 4.0 available. Haven’t you got this message?
You should have seen this since almost have a year now.


#5

No, I didn’t get that message. Guess it pays to be a regular visitor to the STEP Forum :slight_smile:

Thanks,

Tom


#6

I have the same behavior with SNAP 4.0 - it does not detect 5.0 via check for updates.


#7

On a freshly installed SNAP 4 I get the following message right after start:

Maybe your SNAP is configured to check only once per week (default) and not at every Startup.
If you click on Help/Check for Updates you should get this message, too.

The problem seem to be if all modules are up-to-date. Then this message is not shown.
Then you can only see it when you go to Tools/Plugins and there to the Settings tab.
The description of the SNAP update Center contains this message.

Maybe we need a more reliable way of communicating new releases.
I’ve created an issue.


#8

Good morning,

I have the same message for updating today 20190121,


#9

Hello,
There are some time intervals when the number of server disk IO operations per second is very high, so the server is unable to treat additional requests. This is the main cause of these issues. But these situations should not persist.
Please let me know if you succeeded by now to install the updates.
Best regards,
Oana


#10

Tremendous thanks Oana, for your response, actually I still have the same message


#11

Can you turn off the firewall and retry?


#13

I turned it off and still I have the same message,


#14

Can you try the URLs of the update centers (configured under Settings) directly in a browser?
Do you have other update centers added, in addition to the 3 pre-configured ones?


#15

These are the updates that I have, and is not possible to open in browser,


#16

I see something wrong in your browser response (/updatecenter/06/ instead of /updatecenter/6.0/)
SNAP_update_center_URL

Also, I see that last check for this update center was actually done (1/21/19 2:35 PM).
Can you try to remove the 4th update center (SNAPHU UNWRAPPING) that I suppose you added manually?


#17

Good morning,

Would you please to let me know what do after this step?


#18

Hello,

First, verify that your URLs for update center are correct:

SNAP:
http://step.esa.int/updatecenter/6.0/snap/updates.xml.gz

SNAP Community Extensions:
http://step.esa.int/updatecenter/6.0/snap-community/updates.xml.gz

SNAP Extensions:
http://step.esa.int/updatecenter/6.0/snap-extensions/updates.xml.gz

Second, I would like to know the response time of http://step.esa.int/main/ in your browser (try to clean the cache before).

Now the server is responsive, and the fact that update centers URLs don’t work in your browser can be due to a network issue on your side.

Can you retry and let me know?


#19

Hi,

All are corrects,

It responses very well and quickly.

This is the case I have now, without to apply the details are explained by you, Does that mean everything in proper mode now?


#20

Yes, It means the updates worked properly and your application is up to date.


#21

Tremendous thanks to you Oana, for your kindly help.